<?php
$db = new SQLite3('/home/pi/Project/money.db');

    $res = $db->query('SELECT * FROM coins');

    while ($row = $res->fetchArray()) {
        if(!strcmp("one", $row['type']))
            $one = $row['quantity'];
        else if(!strcmp("two", $row['type']))
            $two = $row['quantity'];            
        else if(!strcmp("five", $row['type']))
            $five = $row['quantity'];     
        else if(!strcmp("ten", $row['type']))
            $ten = $row['quantity'];     
    }
    $sum = $one*1 + $two*2 + $five*5  + $ten*10;

    $res = $db->query('SELECT * FROM target');
    $row = $res->fetchArray();
    $target = $row['amount'];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"> 
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Smart Money Box</title>
    <link rel="stylesheet" href="style1.css">
    <script src = "https://cdn.jsdelivr.net/npm/chart.js@3.1.0/dist/chart.min.js"></script>
</head>
<body>
    <Header><strong>Smart Money Box</strong></Header>
    <h1>
    <div class="flex-container">
        <div class = "left">
            <canvas id="myChart" width="600" height="600"></canvas>
            <script>
                var ctx = document.getElementById('myChart').getContext('2d');
                var myChart = new Chart(ctx, {
                    type: 'bar',
                    data: {
                        labels: ['1฿', '2฿', '5฿', '10฿'],
                        datasets: [{
                            label: '# of each coin type',
                            data: [<?php echo "$one, $two, $five, $ten" ?>],
                            backgroundColor: [
                                'rgba(255, 99, 132, 0.4)',
                                'rgba(54, 162, 235, 0.4)',
                                'rgba(255, 206, 86, 0.4)',
                                'rgba(75, 192, 192, 0.4)'
                            ],
                            borderColor: [
                                'rgba(255, 99, 132, 1)',
                                'rgba(54, 162, 235, 1)',
                                'rgba(255, 206, 86, 1)',
                                'rgba(75, 192, 192, 1)'
                            ],
                            borderWidth: 1
                        }]
                    },
                    options: {
                        scales: {
                            y: {
                                beginAtZero: true
                            }
                        }
                        ,backgroundColor : 'rgba(255,255,255)'
                    }
                });

                </script>
        </div>
        <div class = "right card">
            <li class="target">Target : <?php echo "$target" ?> ฿</li><br>
            <li>Balance : <?php echo "$sum" ?> ฿</li><br>
            <li>Status : <?php
                            if($sum < $target)
                                echo "You haven't reached your goal yet.";
                            else
                                echo "CONGRATULATIONS. You reached your saving goal!!!!" ;     

                           ?></li><br>
            <form class="in" method="POST" action="update.php">
                <label for="new"> New Target : </label>
                <input type="number" name="new">
                <input class="other submit-bt" type="submit" value="Submit" name="" id="">
            </form>
        </div>
    </div>
    </h1>
    <div class="clearfix"></div>
</body>
</html>
